Page MenuHomePhabricator

1.33.0-wmf.22 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.33.0-wmf.22
Release Date
1552867200

2019 week 12 1.33-wmf.22 Changes wmf/1.33.0-wmf.22

This MediaWiki Train Deployment is scheduled for the week of Monday, March 18th:

Monday March 18thTuesday, March 19thWednesday, March 20thThursday, March 21stFriday
SWAT deployments only.Branch wmf.22 and deploy to Group 0 Wikis.Deploy wmf.22 to Group 1 Wikis.Deploy wmf.22 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.22 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.33.0-wmf.21
Next: 1.33.0-wmf.23

Related Objects

StatusAssignedTask
Resolvedzeljkofilipin
DuplicateNone
Resolved Nikerabbit
ResolvedDaimona
ResolvedKrinkle
Resolvedthcipriani
ResolvedJdforrester-WMF
ResolvedArlolra
DuplicateNone
ResolvedJdforrester-WMF
Resolvedgabriel-wmde
ResolvedD3r1ck01
ResolvedPetar.petkovic
DuplicateNone
Resolveddaniel
Resolveddaniel
Invalid Addshore

Event Timeline

greg created this task.Oct 10 2018, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2018, 5:23 PM
greg triaged this task as Normal priority.Oct 10 2018, 7:26 PM
greg added subscribers: Anomie, Florian, mmodell.

Added T91454 to the blockers because of the extra care needed to roll it out:

Adding @greg and @mmodell because of the comment from @Anomie on the change: https://gerrit.wikimedia.org/r/#/c/264494/

From my perspective, the best solution would be:

  1. Merge the change (https://gerrit.wikimedia.org/r/#/c/264494/) before next Tuesday (before the new wmf.11 branch was created)
  2. Cherry pick the change to wmf.10 (https://gerrit.wikimedia.org/r/#/c/264591/)
  3. While wmf.11 is deployed to group1 wikis at Wednesday, merge and swat deploy the cherry picked wmf.10 change to group2 (wikipedias)

s/wmf.11/wmf.22/ and s/wmf.10/wmf.21/

@greg T91454 has been resolved by @Krinkle, but I don't see it deployed. I've asked for clarification at T91454#5035445.

It's train time now, but it's delayed because Gerrit is down.

Cutting the branch.

Cutting the branch.

The branch has not been cut because of T218694.

zeljkofilipin added a subscriber: thcipriani.

The branch is finally cut. Thanks to @thcipriani for all the help. There are no more blockers. It's too late to continue with the train. I will continue tomorrow.

Train is blocked on T218783.

zeljkofilipin added a comment.EditedMar 20 2019, 7:44 PM

Group0 at 1.33.0-wmf.22 (gerrit, mediawiki, sal).

Group1 at 1.33.0-wmf.22 (gerrit, mediawiki, sal).

hashar added a subscriber: hashar.Mar 21 2019, 10:28 AM

Note beta cluster can not update T218860

mwscript mergeMessageFileList.php --wiki="dewiktionary" --list-file="/srv/mediawiki-staging/wmf-config/extension-list" --output="/tmp/tmp.q0bUYjIqrn" 

     ExtensionDependencyError FundraisingTranslateWorkflow requires Translate to be installed.

     ExtensionDependencyError from line 293 of /srv/mediawiki-staging/php-master/includes/registration/ExtensionRegistry.php:
        FundraisingTranslateWorkflow requires Translate to be installed.

On production I think we generated the mergeMessageFileList.php before the issue has been introduced and thus this train is not affected. But next time we run that script or on the next train, we might well face the exact same issue.

So I don't know. Maybe we should just add the task as a blocker to next train.

All wikis at 1.33.0-wmf.22 (gerrit, mediawiki, sal).

Jdforrester-WMF closed this task as Resolved.

Train is fully deployed and appears stable. I've moved T218940 to be a blocker to next week's train.